public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/memory_allocator/
@ 2023-10-26 11:56 Michael Orlitzky
  0 siblings, 0 replies; only message in thread
From: Michael Orlitzky @ 2023-10-26 11:56 UTC (permalink / raw
  To: gentoo-commits

commit:     a2b62275c6b779f080d9d88079e604f9961b3194
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 18 14:08:22 2023 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Thu Oct 26 11:53:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2b62275

dev-python/memory_allocator: new package, add 0.1.3

Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 dev-python/memory_allocator/Manifest               |  1 +
 .../memory_allocator/memory_allocator-0.1.3.ebuild | 31 ++++++++++++++++++++
 dev-python/memory_allocator/metadata.xml           | 34 ++++++++++++++++++++++
 3 files changed, 66 insertions(+)

diff --git a/dev-python/memory_allocator/Manifest b/dev-python/memory_allocator/Manifest
new file mode 100644
index 000000000000..e77cefba6398
--- /dev/null
+++ b/dev-python/memory_allocator/Manifest
@@ -0,0 +1 @@
+DIST memory_allocator-0.1.3.tar.gz 19692 BLAKE2B e3e33b4d35455c7cf38eede4f8acfb5bddada59364de53c8ac37fc18e0824a947b85b4c6e3ce9b2f817948c6e83709c17cdf68fa3ebbe6b562d315420235f0cf SHA512 41cb850346b1aead18c82b0eca48791336315b5da8c2beeccec4eae90f55425f545a7cfd42c8cb9bd9f8c25a3a31b7334e304c0d726fdd848df26ae72ec7b7a7

diff --git a/dev-python/memory_allocator/memory_allocator-0.1.3.ebuild b/dev-python/memory_allocator/memory_allocator-0.1.3.ebuild
new file mode 100644
index 000000000000..0f679f1e9867
--- /dev/null
+++ b/dev-python/memory_allocator/memory_allocator-0.1.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_EXT=1
+inherit distutils-r1 pypi
+
+DESCRIPTION="An extension class for memory allocation in cython"
+HOMEPAGE="https://pypi.org/project/memory-allocator/
+	https://github.com/sagemath/memory_allocator"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]"
+
+python_test() {
+	# The test script tries to "import memory_allocator.test" which, so
+	# long as a memory_allocator directory exists inside CWD, will look
+	# for a memory_allocator/test.py there. But there is no such file;
+	# the "test" module is a compiled extension. To let the search fall
+	# back to the correct location, we temporarily rename the directory
+	# that misleads it.
+	mv memory_allocator mv_memory_allocator || die
+	${EPYTHON} test.py || die
+	mv mv_memory_allocator memory_allocator || die
+}

diff --git a/dev-python/memory_allocator/metadata.xml b/dev-python/memory_allocator/metadata.xml
new file mode 100644
index 000000000000..402080770fc8
--- /dev/null
+++ b/dev-python/memory_allocator/metadata.xml
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>mjo@gentoo.org</email>
+  </maintainer>
+
+  <maintainer type="person" proxied="yes">
+    <email>frp.bissey@gmail.com</email>
+    <name>François Bissey</name>
+  </maintainer>
+
+  <maintainer type="project" proxied="proxy">
+    <email>proxy-maint@gentoo.org</email>
+    <name>Proxy Maintainers</name>
+  </maintainer>
+
+  <maintainer type="project">
+    <email>sci-mathematics@gentoo.org</email>
+    <name>Gentoo Mathematics Project</name>
+  </maintainer>
+
+  <longdescription lang="en">
+    This package provides a single MemoryAllocator class that makes
+    memory allocation easier in Cython. The class has familiar (cdef)
+    methods like malloc and realloc, and all allocated memory is freed
+    when the MemoryAllocator object is destroyed.
+  </longdescription>
+
+  <upstream>
+    <remote-id type="pypi">memory-allocator</remote-id>
+    <remote-id type="github">sagemath/memory_allocator</remote-id>
+  </upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2023-10-26 11:56 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-10-26 11:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/memory_allocator/ Michael Orlitzky

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox